Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.picocontainer.behaviors
Class Intercepted.ControllerImpl

    java.lang.Object
      org.picocontainer.behaviors.Intercepted.ControllerImpl

All Implemented Interfaces:
  Intercepted.Controller

Enclosing class:
  Intercepted<T>

    public static class Intercepted.ControllerImpl

extends Object
implements Intercepted.Controller

Constructor Summary
`Intercepted.ControllerImpl()`

Method Summary
`void` | `clear()`
`Object` | `getOriginalRetVal()`
`void` | `instance(Object instance)`
`boolean` | `isOverridden()`
`boolean` | `isVetoed()`
`void` | `override()`
`void` | `setOriginalRetVal(Object retVal)`
`void` | `veto()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Intercepted.ControllerImpl

    public Intercepted.ControllerImpl()

Method Detail

### veto

    public void veto()

  Specified by:
    `veto` in interface `Intercepted.Controller`

### clear

    public void clear()

  Specified by:
    `clear` in interface `Intercepted.Controller`

### isVetoed

    public boolean isVetoed()

  Specified by:
    `isVetoed` in interface `Intercepted.Controller`

### setOriginalRetVal

    public void setOriginalRetVal(Object retVal)

  Specified by:
    `setOriginalRetVal` in interface `Intercepted.Controller`

### getOriginalRetVal

    public Object getOriginalRetVal()

  Specified by:
    `getOriginalRetVal` in interface `Intercepted.Controller`

### isOverridden

    public boolean isOverridden()

  Specified by:
    `isOverridden` in interface `Intercepted.Controller`

### instance

    public void instance(Object instance)

  Specified by:
    `instance` in interface `Intercepted.Controller`

### override

    public void override()

  Specified by:
    `override` in interface `Intercepted.Controller`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 Codehaus. All Rights Reserved.